import { useEffect, useState } from "react";
import AMapLoader from "@amap/amap-jsapi-loader";
import MapUtl from "./mapUtil";

export default function MapContainer() {
  let [amap, setmaps] = useState<any>(null);
  useEffect(() => {
    loadMaps();
    return () => {
      amap?.destroy();
    };
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);

  const loadMaps = async () => {
    const Amap = await AMapLoader.load({
      key: "d58999d072ed7e5897d3900a769cfda0", // 申请好的Web端开发者Key，首次调用 load 时必填
      version: "2.0", // 指定要加载的 JSAPI 的版本，缺省时默认为 1.4.15
      plugins: ["AMap.Scale","AMap.MoveAnimation","AMap.Weather,AMap.DistrictSearch"],
    });
    
    amap = new Amap.Map("container", {
      viewMode: "2D", // 是否为3D地图模式
      zoom: 11, // 初始化地图级别
      center: [103.55, 30.34], // 初始化地图中心点位置
      mapStyle: "amap://styles/darkblue",
      resizeEnable: true,
    });
    // const district = new Amap.DistrictSearch({
    //   subdistrict: 3, //返回下一级行政区
    //   extensions: "all", //返回行政区边界坐标组等具体信息
    //   level: "street", //查询行政级别为 市
    // });
    // district.search("510116", function (status,result){
    //   console.log(result);
    //   if(status === "complete"){
    //     const bundler = result.districtList[0].boundaries;
    //     const polygon = new Amap.Polygon({
    //       map: amap,
    //       path: bundler,
    //       strokeColor: "#fff", //线颜色
    //       strokeOpacity: 1, //线透明度
    //       strokeWeight: 3, //线宽
    //       fillColor: "#fff", //填充色
    //       fillOpacity: 0.4, //填充透明度
    //     });
    //     // amap.add(polygon)
    //     amap.setFitView();
    //   }
    // })
    
    // setmaps(amap);
    // addMaket(Amap,amap);
    MapUtl.loadMap = Amap;
    MapUtl.amap = amap;
    var weather = new Amap.Weather();
    MapUtl.wecherInfo = weather
    amap.setFitView();
  };
  
  return <div id="container" style={{ height: "100vh" }}></div>;
}
