import { observer } from "mobx-react";
import "./home.less";
import MapContainer from "@/components/map/MapComponent";
import HomeLeft from "@/pages/home/homeLeft/home_left";
import HomeRight from "@/pages/home/homeRigrt/home_right";
import HomeBottom from "@/pages/home/homeBottom/home_bottom";
import image2 from "@/static/title_line@1x.png";
import { SettingOutlined } from "@ant-design/icons";
import { useNavigate } from "react-router";
import { useEffect, useState } from "react";
import MapUtl from "@/components/map/mapUtil";
import Video from "./video";

const Home = observer(() => {
  const navigate = useNavigate();
  const [times, setTimes] = useState<any>();
  const [wechaer, setWechaer] = useState<any>();
  const updateTime = () => {
    const date = new Date();
    const month = (date.getMonth() + 1).toString().padStart(2, "0");
    const strDate = date.getDate().toString().padStart(2, "0");
    const starHours = date.getHours().toString().padStart(2, "0");
    const starMinutes = date.getMinutes().toString().padStart(2, "0");
    const starSeconds = date.getSeconds().toString().padStart(2, "0");
    const format = `${date.getFullYear()}-${month}-${strDate} 
    ${starHours}:${starMinutes}:${starSeconds}`;
    setTimes(format);
  };

  // 每秒钟更新一次时间
  useEffect(() => {
    let tim = setInterval(updateTime, 1000);
    setTimeout(() => {
      MapUtl.wecherInfo?.getLive("双流区", (err, data) => {
        setWechaer(data);
      });
    }, 2000);
    return () => {
      clearInterval(tim);
    };
  }, []);
  return (
    <div className="contents_center">
      <div className="map_container_t">
        <div className="map_container_t_l">
          <span>{times} </span>
        </div>
        <div className="map_container_t_c">
          <img className="twp on_to" src={image2} alt="" />
          <span>黄水镇武装平台</span>
          <img className="twp" src={image2} alt="" />
        </div>
        <div className="map_container_t_r">
          <div
            style={{
              flex: "1",
              display: "flex",
              alignItems: "center",
              justifyContent: "space-around",
              color: "#fff",
            }}
          >
            <p>天气:{wechaer?.weather}</p>
            <p>风向:{wechaer?.windDirection}</p>
            <p>风级:{wechaer?.windPower}</p>
            <p>湿度:{wechaer?.humidity}</p>
          </div>
          <SettingOutlined
            onClick={() => {
              navigate("admin/user");
            }}
            style={{ fontSize: "20px", color: "#f9f9f9", cursor: "pointer" }}
          />
        </div>
      </div>
      <div className="scr">
        <div className="scrolling-text">
          <span>
            仓库3，2号货架,单兵装备，即将临期，
            仓库4，1号货架,单兵装备，即将临期，
            仓库2，3号货架,单兵装备，即将临期
          </span>
        </div>
      </div>
      <div className="map_container_l">
        <HomeLeft />
      </div>
      <MapContainer />
      <div className="map_video_container">
      <Video />
      </div>
      <div className="map_container_r">
        <HomeRight />
      </div>
      <div className="map_container_b">
        <HomeBottom />
      </div>
    </div>
  );
});

export default Home;
