import { Store } from "antd/es/form/interface";
import * as echarts from "echarts";
import { inject, observer } from "mobx-react";
import { useEffect, useState } from "react";
import "./left.less";
import { Col, Modal, Row } from "antd";
import { trunEchatConfig } from "./trun_chat_config";
const Turn = (props: Store) => {
  const { homeStore, trainingStore, folderStore } = props;
  const [isModalOpen, setisModalOpen] = useState(false);
  const [folderList, setfolderList] = useState<any>([]);
  const [imageList, setImageList] = useState<any>([]);
  const [imageUrl, setImageUrl] = useState<any>([]);
  const [taskId, setTaskId] = useState<any>([]);
  const [folderId, setFolderId] = useState<any>([]);

  const initChart = (data) => {
    var myChart = echarts.init(document.getElementById("xunlian"));
    trunEchatConfig(data) && myChart.setOption(trunEchatConfig(data));
  };

  useEffect(() => {
    homeStore.getTr().then((res) => {
      initChart(res.data.record);
    });
  }, [homeStore]);

  useEffect(() => {
    trainingStore.getlist();
  }, [trainingStore]);
  const trunHandler = () => {
    setisModalOpen(true);
  };
  const getFolderhandler = (id: string) => {
    folderStore?.getFolderList(id).then((res) => {
      setfolderList(res?.data?.record ?? []);
    });
  };
  const getAehandler = async (id: string) => {
    await folderStore?.getAlist(id).then(() => {
      folderStore.alist?.forEach((elem) => {
        elem.url = elem.file_url;
        elem.name = elem.file_name;
      });
      setImageList(folderStore.alist ?? []);
    });
  };

  return (
    <>
      <div
        onClick={trunHandler}
        style={{ width: "100%", height: "100%" }}
        id="xunlian"
      ></div>
      <Modal
        title="年度训练"
        className="owner_model"
        width={1200}
        open={isModalOpen}
        afterClose={() => {}}
        onOk={() => {}}
        footer={null}
        onCancel={() => {
          setisModalOpen(false);
        }}
      >
        <>
          <Row>
            <Col span={2}>
              <div style={{ color: "#fff", margin: "10px" }}>
                <p>任务列表</p>
                {trainingStore.list?.map((item) => {
                  return (
                    <p
                    key={item.identity}
                      style={{
                        color: item.identity === taskId ? "blue" : "#fff",
                        cursor: "pointer",
                      }}
                      onClick={() => {
                        setTaskId(item.identity);
                        getFolderhandler(item.archives_category_identity);
                      }}
                    >
                      {item.title}
                    </p>
                  );
                })}
              </div>
            </Col>
            <Col span={2}>
              <div style={{ color: "#fff", margin: "10px" }}>
                <p>文件夹列表</p>
                {folderList?.map((item) => {
                  return (
                    <p
                      style={{
                        color: folderId === item.identity ? "blue" : "#fff",
                        cursor: "pointer",
                      }}
                      onClick={() => {
                        setFolderId(item.identity)
                        getAehandler(item.identity);
                      }}
                    >
                      {item.folder_name}
                    </p>
                  );
                })}
              </div>
            </Col>
            <Col span={2}>
              <div style={{ color: "#fff", margin: "10px" }}>
                <p>档案列表</p>
                {imageList?.map((item) => {
                  return (
                    <img
                      onClick={() => {
                        setImageUrl(item.file_url);
                      }}
                      style={{ width: "80px", height: "80px" }}
                      src={item.file_url}
                      alt=""
                    />
                  );
                })}
              </div>
            </Col>
            <Col span={18}>
              <div style={{ color: "#fff" }}>
                <img
                  style={{ width: "100%", height: "800px" }}
                  src={imageUrl}
                  alt=""
                />
              </div>
            </Col>
          </Row>
        </>
      </Modal>
    </>
  );
};

export default inject(
  "homeStore",
  "trainingStore",
  "folderStore"
)(observer(Turn));
